> ## Documentation Index
> Fetch the complete documentation index at: https://fermata-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Push Events

> Push an event to the billing engine. This endpoint can accept very high volume of requests and will be low latency. It returns a success if the data appears to be valid



## OpenAPI

````yaml POST /v1/accounts/{account_id}/events
openapi: 3.1.0
info:
  version: '0.1'
  title: Fermata API
  summary: >-
    Fermata is a billing engine that supports prepaid balances and real-time
    usage computation
  description: ''
servers:
  - url: https://api.gofermata.com
security:
  - apiKey: []
paths:
  /v1/accounts/{account_id}/events:
    post:
      summary: Push Events
      description: >-
        Push an event to the billing engine. This endpoint can accept very high
        volume of requests and will be low latency. It returns a success if the
        data appears to be valid
      operationId: post-events
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: array
              minItems: 1
              items:
                type: object
                properties:
                  type:
                    type: string
                  quantity:
                    type: integer
                  metadata:
                    type: object
                  cost_override_amount:
                    type: integer
                  cost_override_denomination:
                    type: string
                  state:
                    type: string
                    enum:
                      - pending
                      - completed
                      - cancelled
                  gate_on_balance:
                    type: boolean
                    description: >-
                      Return an error if there is not enough balance to handle
                      the event
                required:
                  - type
            examples:
              Example 1:
                value:
                  - type: string
                    quantity: 0
                    cost_override:
                      amount: 0
                      denomination: string
                    metadata: {}
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  events_submitted:
                    type: integer
      security:
        - apiKey: []
      servers:
        - url: https://api.gofermata.com
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: basic

````